This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 379401 - code for acroread in /etc/mozpluggerrc is wrong?
code for acroread in /etc/mozpluggerrc is wrong?
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mozplugger (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-13 00:56 EST by Jonathan Kamens
Modified: 2009-08-20 11:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-20 11:19:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
fixes mozpluggerrc to work with acrobat 8 reader; still works with older versions (846 bytes, patch)
2008-01-11 03:57 EST, Scott Mcdermott
no flags Details | Diff

  None (edit)
Description Jonathan Kamens 2007-11-13 00:56:57 EST
The code in /etc/mozpluggerrc for figuring out the correct arguments for
acroread calls acroread -helpall, but in Adobe Reader 8, it appears that the
correct option is -help, not -helpall.
Comment 1 Scott Mcdermott 2008-01-11 03:57:26 EST
Created attachment 291365 [details]
fixes mozpluggerrc to work with acrobat 8 reader; still works with older versions

I noticed this too: after installing mozplugger, the acrobat 8 plugin suddenly
stopped working.  I don't believe mozplugger uses the adobe plugin, but instead
invokes Acrobat itself.  However, it tests which version-appropriate flags to
give to acroread by grepping the output of -helpall, which is not the correct
option in acroread 8, as you mention.

The attached patch to mozpluggerrc should fix this and still work with older
versions.
Comment 2 Scott Mcdermott 2008-01-11 03:59:19 EST
note that this bug still applies to fc8
Comment 3 Johan Kok 2008-01-13 06:42:25 EST
Thank you for reporting that this is still a issue in f8. I've updated the version field for this issue to reflect 
comment #2
Comment 4 Bug Zapper 2008-11-26 03:23:29 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Jonathan Kamens 2008-11-27 21:52:08 EST
Still broken.
Comment 6 Matěj Cepl 2008-11-28 12:14:17 EST
I don't want to take sides in this bug, just let me note that this is not NEW by any meaning of the word.

Switching to ASSIGNED so that developers have responsibility to do whatever
they want to do with it.
Comment 7 Peter Glassenbury 2009-04-27 21:57:55 EDT
May be wrong because I don't know how mozplugger works..BUT
 - this seems more than one bug... The -helpall is incorrect but in the section of
"Acrobat Reader" which is a number of defines.. which DON'T appear to be used
anywhere....(not sure what meaning they have otherwise)

later in the file is the following that seems to fire up evince since 
acroread7 and 5 are long gone... acroread 9 deprecates -openInNewWindow
for -openInNewInstance but sort of works if you change the acroread7 to acroread.

application/pdf:pdf:PDF file
application/x-pdf:pdf:PDF file
text/pdf:pdf:PDF file
text/x-pdf:pdf:PDF file
	repeat swallow(acroread) fill: acroread7 -openInNewWindow "$file"
	repeat swallow(documentShell) fill: acroread5 -geometry +9000+9000 +useFrontEndProgram "$file"
	repeat noisy swallow(evince) fill: evince "$file"


By sort of ... I mean it is possible to lock the gnome session if you 
run acroread in mozplugin in firefox, close the acroread tab,
start acroread in a terminal,(closing the tab doesn't appear to kill the acroread in the backround so CtrlAltF2 login and kill -9 acroread brings everything back to life)
I am running fedora10, mozplugger 1.10.1.3  (but 1.10.1.4 from rawhide is the same) tried running acroread 8.1.3 and 9.1.0  firefox 3.0.x ...not sure where to report this or against what.
what to do
Comment 8 Bug Zapper 2009-06-09 05:21:19 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Ngo Than 2009-08-20 11:19:36 EDT
it's fixed in 1.12.1.

Note You need to log in before you can comment on or make changes to this bug.